aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristoph Junghans <ottxor@gentoo.org>2012-09-30 16:13:17 -0600
committerChristoph Junghans <ottxor@gentoo.org>2012-09-30 16:13:17 -0600
commite40987b4707184683ff1842db8a5c18aea3c5ac9 (patch)
tree11ebb44f8eb7530e39b0859da1df2fb4af2a8919
parentapp-benchmarks/numbench: Updated dependency for eselect alternatives (diff)
downloadsci-e40987b4707184683ff1842db8a5c18aea3c5ac9.tar.gz
sci-e40987b4707184683ff1842db8a5c18aea3c5ac9.tar.bz2
sci-e40987b4707184683ff1842db8a5c18aea3c5ac9.zip
version bump
(Portage version: 2.2.0_alpha134/git/Linux i686, unsigned Manifest commit)
-rw-r--r--sci-libs/nfft/ChangeLog5
-rw-r--r--sci-libs/nfft/Manifest1
-rw-r--r--sci-libs/nfft/nfft-3.2.1.ebuild36
3 files changed, 42 insertions, 0 deletions
diff --git a/sci-libs/nfft/ChangeLog b/sci-libs/nfft/ChangeLog
index a0d25f7f1..93e715219 100644
--- a/sci-libs/nfft/ChangeLog
+++ b/sci-libs/nfft/ChangeLog
@@ -2,6 +2,11 @@
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*nfft-3.2.1 (30 Sep 2012)
+
+ 30 Sep 2012; Christoph Junghans <ottxor@gentoo.org> +nfft-3.2.1.ebuild:
+ version bump
+
*nfft-3.2.0 (07 Jul 2012)
07 Jul 2012; Christoph Junghans <ottxor@gentoo.org> +nfft-3.2.0.ebuild,
diff --git a/sci-libs/nfft/Manifest b/sci-libs/nfft/Manifest
index ad1e81701..635ac7e0b 100644
--- a/sci-libs/nfft/Manifest
+++ b/sci-libs/nfft/Manifest
@@ -1 +1,2 @@
DIST nfft-3.2.0.tar.gz 2053826 SHA256 8f35288affefd853c0c14c98445405c0acfe14360a9d19f7411865fc6f026126 SHA512 d26e4470cd3ef3b3a2cb4f0d11f32446690628010c87fec0093aa1f7392a94e122da44f89f30f97de482e8e777e8f5b694f4b0b6f47e028412277800d13d3334 WHIRLPOOL f3625d972e711e9522cb5f21da8409b03a781a482a6b6e29d0a94bd9923e5cc55efb035bc099483d31ed65365ec21e984641a30016a386f5e799a2eab157845d
+DIST nfft-3.2.1.tar.gz 2501629 SHA256 9ee1c48b7846dea92098a700d3753ecbc095259979ef1e415bebd09abe159ed4 SHA512 227cef1fe6a707c44451498fd446a450a5f34871ae0819a9ed87136dcb3e10288934233b15117bd143c5614a50df6b0d5be1934b4e176942f32ada9eaf01c119 WHIRLPOOL 18cd38e29882ca0660348b501f9f595ddf41babe4b175139b2cd5ed8bf546dc32408005bf768331e2576ad43ae5e1000326e3bfbabeddf62b756ccae9e33632b
diff --git a/sci-libs/nfft/nfft-3.2.1.ebuild b/sci-libs/nfft/nfft-3.2.1.ebuild
new file mode 100644
index 000000000..41c380162
--- /dev/null
+++ b/sci-libs/nfft/nfft-3.2.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="4"
+
+inherit autotools-utils eutils toolchain-funcs
+
+DESCRIPTION="library for nonequispaced discrete Fourier transform"
+HOMEPAGE="http://www-user.tu-chemnitz.de/~potts/nfft"
+SRC_URI="http://www-user.tu-chemnitz.de/~potts/nfft/download/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~x86 ~amd64"
+IUSE="openmp static-libs"
+
+RDEPEND="sci-libs/fftw:3.0"
+DEPEND="${RDEPEND}"
+
+pkg_pretend() {
+ use openmp && ! tc-has-openmp && \
+ die "Please switch to an openmp compatible compiler"
+}
+
+src_prepare() {
+ sed -i '25s/"\?$/"/' examples/nfsft/nfsft_benchomp.c || die
+}
+
+src_configure() {
+ local myeconfargs=(
+ --enable-all
+ $(use_enable openmp)
+ )
+ autotools-utils_src_configure
+}